Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9092)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1235,6 +1236,19 @@
 	'S_LOCALES'=>				'Locales',
 	'S_LOCALE_SMALL'=>			'locale',
 	'S_DOWNLOAD'=>				'Download',
+	'S_NEW_LOCALE_STEP_1'=>			'Download newly created locale file by pressing "Download".',
+	'S_NEW_LOCALE_STEP_2'=>			'Place it to "/PATH_TO_ZABBIX_FRONTEND/include/locales".',
+	'S_NEW_LOCALE_STEP_3_1'=>		'The locale file name must be made of a prefix: "ISO 639-1 language code"_"ISO 3166-1 alpha-2 country code". Like "en_gb"',
+	'S_NEW_LOCALE_STEP_3_2'=>		'and a postfix ".inc.php". Like "en_gb.inc.php".',
+	'S_NEW_LOCALE_STEP_4_1'=>		'To make new locale visible by ZABBIX frontend - extend the php script "/PATH_TO_ZABBIX_FRONTEND/include/locales.inc.php".',
+	'S_NEW_LOCALE_STEP_4_2'=>		'll find an array containing "keys" => "values".',
+	'S_NEW_LOCALE_STEP_4_3'=>		'Extend this array with your locale like "your_prefix" => "display_like".',
+	'S_NEW_LOCALE_STEP_4_4'=>		'You can set "display_like" value in your locale file by adding it to your locale file or you can leave it hardcoded string.',
+	'S_NEW_LOCALE_STEP_4_5'=>		'For example see implementation of other locales.',
+	'S_NEW_LOCALE_STEP_3'=>			'Replace previous locale file with one you have downloaded.',
+	'S_TAKE_DEF_LOCALE'=>			'Take for default locale',
+	'S_LOCALE_TO_EXTEND'=>			'Locale to extend',
+	'S_NEW_ENTRIES'=>			'New entries',
 
 //  report4.php
 	'S_NOTIFICATIONS'=>			'Notifications',
Index: locales.php
===================================================================
--- locales.php	(revision 9087)
+++ locales.php	(working copy)
@@ -107,15 +107,6 @@
 	$frmLcls = new CFormTable(S_CREATE.SPACE.S_LOCALE_SMALL,'locales.php','post',null,'form');
 
 	if($_REQUEST['extlang'] == 'new'){
-		define('S_NEW_LOCALE_STEP_1','Download newly created locale file by pressing "Download".');
-		define('S_NEW_LOCALE_STEP_2','Place it to "/PATH_TO_ZABBIX_FRONTEND/include/locales".');
-		define('S_NEW_LOCALE_STEP_3_1','The locale file name must be made of a prefix: "ISO 639-1 language code"_"ISO 3166-1 alpha-2 country code". Like "en_gb"');
-		define('S_NEW_LOCALE_STEP_3_2','and a postfix ".inc.php". Like "en_gb.inc.php".');
-		define('S_NEW_LOCALE_STEP_4_1','To make new locale visible by ZABBIX frontend - extend the php script "/PATH_TO_ZABBIX_FRONTEND/include/locales.inc.php".');
-		define('S_NEW_LOCALE_STEP_4_2','ll find an array containing "keys" => "values".');
-		define('S_NEW_LOCALE_STEP_4_3','Extend this array with your locale like "your_prefix" => "display_like".');
-		define('S_NEW_LOCALE_STEP_4_4','You can set "display_like" value in your locale file by adding it to your locale file or you can leave it hardcoded string.');
-		define('S_NEW_LOCALE_STEP_4_5','For example see implementation of other locales.');
 
 		$frmLcls->addRow(S_STEP.SPACE.'1:',S_NEW_LOCALE_STEP_1);
 		$frmLcls->addRow(S_STEP.SPACE.'2:',S_NEW_LOCALE_STEP_2);
@@ -129,9 +120,9 @@
 	}
 	else{
 
-		$frmLcls->addRow(S_STEP.SPACE.'1:','Download newly created locale file by pressing "Download".');
-		$frmLcls->addRow(S_STEP.SPACE.'2:','Place it to "/PATH_TO_ZABBIX_FRONTEND/include/locales".');
-		$frmLcls->addRow(S_STEP.SPACE.'3:','Replace previous locale file with one you have downloaded.');
+		$frmLcls->addRow(S_STEP.SPACE.'1:',S_NEW_LOCALE_STEP_1);
+		$frmLcls->addRow(S_STEP.SPACE.'2:',S_NEW_LOCALE_STEP_2);
+		$frmLcls->addRow(S_STEP.SPACE.'3:',S_NEW_LOCALE_STEP_3);
 	}
 
 	$lang = serialize($_REQUEST['langTo']);
@@ -145,15 +136,6 @@
 	$help_table->setAttribute('style', 'width: 600px;');
 
 	if($_REQUEST['extlang'] == 'new'){
-		define('S_NEW_LOCALE_STEP_1','Download newly created locale file by pressing "Download".');
-		define('S_NEW_LOCALE_STEP_2','Place it to "/PATH_TO_ZABBIX_FRONTEND/include/locales".');
-		define('S_NEW_LOCALE_STEP_3_1','The locale file name must be made of a prefix: "ISO 639-1 language code"-"ISO 3166-1 alpha-2 country code". Like "en-gb"');
-		define('S_NEW_LOCALE_STEP_3_2','and a postfix ".inc.php". Like "en-gb.inc.php".');
-		define('S_NEW_LOCALE_STEP_4_1','To make new locale visible by ZABBIX frontend - extend the php script "/PATH_TO_ZABBIX_FRONTEND/include/locales.inc.php".');
-		define('S_NEW_LOCALE_STEP_4_2','There You will find an array containing "keys" => "values".');
-		define('S_NEW_LOCALE_STEP_4_3','Extend this array with Your locale like "your_prefix" => "display_like".');
-		define('S_NEW_LOCALE_STEP_4_4','You can set "display_like" value in new locale file by adding it or You may leave it as hardcoded string.');
-		define('S_NEW_LOCALE_STEP_4_5','For example see implementation of other locales.');
 
 		$help_table->addRow(array(S_STEP.SPACE.'1:',S_NEW_LOCALE_STEP_1));
 		$help_table->addRow(array(S_STEP.SPACE.'2:',S_NEW_LOCALE_STEP_2));
@@ -167,9 +149,9 @@
 	}
 	else{
 
-		$help_table->addRow(array(S_STEP.SPACE.'1:','Download newly created locale file by pressing "Download".'));
-		$help_table->addRow(array(S_STEP.SPACE.'2:','Place it to "/PATH_TO_ZABBIX_FRONTEND/include/locales".'));
-		$help_table->addRow(array(S_STEP.SPACE.'3:','Replace previous locale file with one you have downloaded.'));
+		$help_table->addRow(array(S_STEP.SPACE.'1:',S_NEW_LOCALE_STEP_1));
+		$help_table->addRow(array(S_STEP.SPACE.'2:',S_NEW_LOCALE_STEP_2));
+		$help_table->addRow(array(S_STEP.SPACE.'3:',S_NEW_LOCALE_STEP_3));
 	}
 
 	$help->SetHint($help_table);
@@ -248,21 +230,21 @@
 	foreach($ZBX_LOCALES as $id => $name){
 		$cmbLang->addItem($id,$name);
 	}
-	$frmLcls->addRow('Take for default locale',$cmbLang);
+	$frmLcls->addRow(S_TAKE_DEF_LOCALE,$cmbLang);
 
 	$cmbExtLang = new CComboBox('extlang',get_request('extlang','new'));
 	$cmbExtLang->addItem('new',S_CREATE.SPACE.S_NEW_SMALL);
 	foreach($ZBX_LOCALES as $id => $name){
 		$cmbExtLang->addItem($id,$name);
 	}
-	$frmLcls->addRow('Locale to extend',$cmbExtLang);
+	$frmLcls->addRow(S_LOCALE_TO_EXTEND,$cmbExtLang);
 
 	$cmbFill = new CComboBox('fill',get_request('fill',1));
 		$cmbFill->addItem('0',S_DO_NOT_ADD);
 		$cmbFill->addItem('1',S_LEAVE_EMPTY);
 		$cmbFill->addItem('2',S_FILL_WITH_DEFAULT_VALUE);
 
-	$frmLcls->addRow('New entries', $cmbFill);
+	$frmLcls->addRow(S_NEW_ENTRIES, $cmbFill);
 
 	$frmLcls->addItemToBottomRow(new CButton('next',S_NEXT.' >>'));
 	$frmLcls->Show();