Index: users.php
===================================================================
--- users.php	(revision 9243)
+++ users.php	(working copy)
@@ -505,6 +505,13 @@
 		$goButton = new CButton('goButton', S_GO);
 		$goButton->setAttribute('id','goButton');
 
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "group_userid";');
 		$footer = get_table_header(array($goBox, $goButton));
 //----
Index: usergrps.php
===================================================================
--- usergrps.php	(revision 9243)
+++ usergrps.php	(working copy)
@@ -490,6 +490,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "group_groupid";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: discoveryconf.php
===================================================================
--- discoveryconf.php	(revision 9243)
+++ discoveryconf.php	(working copy)
@@ -292,6 +292,14 @@
 		// goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO.' (0)');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "g_druleid";');
 
 		$tblDiscovery->setFooter(new CCol(array($goBox, $goButton)));
Index: js/main.js
===================================================================
--- js/main.js	(revision 9243)
+++ js/main.js	(working copy)
@@ -341,7 +341,7 @@
 		return true;
 	}
 	else{
-		alert('No elements selected!');
+		alert(locale['S_NO_ELEMENTS_SELECTES']);
 		Event.stop(e);
 		return false;
 	}
@@ -420,7 +420,7 @@
 	if(byClick){
 		close_link = '<div class="link" '+
 						'style="text-align: right; border-bottom: 1px #333 solid;" '+
-						'onclick="javascript: hintBox.hide(event, \''+boxid+'\');">Close</div>';
+						'onclick="javascript: hintBox.hide(event, \''+boxid+'\');">'+locale['S_CLOSE']+'</div>';
 	}
 
 	box.innerHTML = close_link + hint_text;
Index: dashboard.php
===================================================================
--- dashboard.php	(revision 9243)
+++ dashboard.php	(working copy)
@@ -395,6 +395,13 @@
 	$dashboard_wdgt->addItem($fav_form);
 	$dashboard_wdgt->show();
 
+        $jsLocale = array(
+                        'S_CLOSE',
+			'S_NO_ELEMENTS_SELECTES'
+            );
+
+        zbx_addJSLocale($jsLocale);
+
 	$jsmenu = new CPUMenu(null,170);
 	$jsmenu->InsertJavaScript();
 
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9243)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1725,6 +1725,9 @@
 // popup_media.php
 	'S_INCORRECT_TIME_PERIOD'=>	'Incorrect time period',
 
+// main.js
+	'S_NO_ELEMENTS_SELECTES'=>	'No elements selected!',
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: templates.php
===================================================================
--- templates.php	(revision 9243)
+++ templates.php	(working copy)
@@ -796,6 +796,12 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
 		zbx_add_post_js('chkbxRange.pageGoName = "templates";');
 
 		$footer = get_table_header(new CCol(array($goBox, $goButton)));
Index: media_types.php
===================================================================
--- media_types.php	(revision 9243)
+++ media_types.php	(working copy)
@@ -218,6 +218,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO.' (0)');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "media_types";');
 
 		$table->setFooter(new CCol(array($goBox, $goButton)));
Index: items.php
===================================================================
--- items.php	(revision 9243)
+++ items.php	(working copy)
@@ -1149,6 +1149,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "group_itemid";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: maintenance.php
===================================================================
--- maintenance.php	(revision 9243)
+++ maintenance.php	(working copy)
@@ -506,6 +506,14 @@
 		// goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO.' (0)');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "maintenanceids";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: actionconf.php
===================================================================
--- actionconf.php	(revision 9243)
+++ actionconf.php	(working copy)
@@ -573,6 +573,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "g_actionid";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: httpconf.php
===================================================================
--- httpconf.php	(revision 9243)
+++ httpconf.php	(working copy)
@@ -556,6 +556,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO.' (0)');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "group_httptestid";');
 
 		$table->setFooter(new CCol(array($goBox, $goButton)));
Index: applications.php
===================================================================
--- applications.php	(revision 9243)
+++ applications.php	(working copy)
@@ -398,6 +398,14 @@
 		// goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO.' (0)');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "applications";');
 
 		$footer = get_table_header(new CCol(array($goBox, $goButton)));
Index: scripts.php
===================================================================
--- scripts.php	(revision 9243)
+++ scripts.php	(working copy)
@@ -310,6 +310,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "scripts";');
 
 		$table->setFooter(new CCol(array($goBox, $goButton)));
Index: sysmaps.php
===================================================================
--- sysmaps.php	(revision 9243)
+++ sysmaps.php	(working copy)
@@ -209,6 +209,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "maps";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: hosts.php
===================================================================
--- hosts.php	(revision 9243)
+++ hosts.php	(working copy)
@@ -810,6 +810,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton', S_GO);
 		$goButton->setAttribute('id', 'goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "hosts";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: triggers.php
===================================================================
--- triggers.php	(revision 9243)
+++ triggers.php	(working copy)
@@ -670,6 +670,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "g_triggerid";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: proxies.php
===================================================================
--- proxies.php	(revision 9243)
+++ proxies.php	(working copy)
@@ -310,6 +310,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton', S_GO.' (0)');
 		$goButton->setAttribute('id', 'goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "hosts";');
 // --
 
Index: hostgroups.php
===================================================================
--- hostgroups.php	(revision 9243)
+++ hostgroups.php	(working copy)
@@ -410,6 +410,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+    		$jsLocale = array(
+            		        'S_CLOSE',
+                    		'S_NO_ELEMENTS_SELECTES'
+        	);
+
+    		zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "groups";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: export.php
===================================================================
--- export.php	(revision 9243)
+++ export.php	(working copy)
@@ -286,6 +286,14 @@
 // } GO box
 		$table->setFooter(new CCol($form));
 		$table->show();
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoCount = 1;');
 	}
 	else{
@@ -420,6 +428,14 @@
 		// goButton name is necessary!!!
 		$goButton = new CButton('goButton', S_GO.' ('.$count_chkbx.')');
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "hosts";');
 
 		$footer = get_table_header(array($goBox, $goButton));
Index: graphs.php
===================================================================
--- graphs.php	(revision 9243)
+++ graphs.php	(working copy)
@@ -600,6 +600,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton',S_GO);
 		$goButton->setAttribute('id','goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('chkbxRange.pageGoName = "group_graphid";');
 
 		$footer = get_table_header(new CCol(array($goBox, $goButton)));
Index: screenconf.php
===================================================================
--- screenconf.php	(revision 9243)
+++ screenconf.php	(working copy)
@@ -342,6 +342,14 @@
 			// goButton name is necessary!!!
 			$goButton = new CButton('goButton', S_GO);
 			$goButton->setAttribute('id', 'goButton');
+
+            		$jsLocale = array(
+                            		'S_CLOSE',
+                            		'S_NO_ELEMENTS_SELECTES'
+            		);
+
+            		zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('chkbxRange.pageGoName = "screens";');
 //---------
 			$footer = get_table_header(array($goBox, $goButton));
@@ -418,6 +426,14 @@
 // goButton name is necessary!!!
 			$goButton = new CButton('goButton',S_GO);
 			$goButton->setAttribute('id','goButton');
+
+            		$jsLocale = array(
+                            		'S_CLOSE',
+                            		'S_NO_ELEMENTS_SELECTES'
+        	        );
+
+            		zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('chkbxRange.pageGoName = "shows";');
 
 			$table->setFooter(new CCol(array($goBox, $goButton)));
Index: tr_status.php
===================================================================
--- tr_status.php	(revision 9243)
+++ tr_status.php	(working copy)
@@ -696,6 +696,14 @@
 // goButton name is necessary!!!
 		$goButton = new CButton('goButton', S_GO.' (0)');
 		$goButton->setAttribute('id', 'goButton');
+
+                $jsLocale = array(
+                                'S_CLOSE',
+                                'S_NO_ELEMENTS_SELECTES'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		$show_event_col ? zbx_add_post_js('chkbxRange.pageGoName = "events";') : zbx_add_post_js('chkbxRange.pageGoName = "triggers";');
 
 		$footer = get_table_header(array($goBox, $goButton));