Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9199)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1723,6 +1723,23 @@
 // popup_media.php
 	'S_INCORRECT_TIME_PERIOD'=>	'Incorrect time period',
 
+//	copt.inc.php
+	'S_STATS_FOR'=>			'Stats for',
+	'S_TOTAL_TIME'=>		'Total time',
+	'S_MEMORY_LIMIT'=>		'Memory limit',
+	'S_MEMORY_USAGE'=>		'Memory usage',
+	'S_MEMORY_LEAK'=>		'Memory leak',
+	'S_SQL_SELECTS_COUNT'=>		'SQL selects count',
+	'S_SQL_EXECUTES_COUNT'=>	'SQL executes count',
+	'S_SQL_REQUESTS_COUNT'=>	'SQL requests count',
+	'S_TOTAL_TIME_SPENT_ON_SQL'=>	'Total time spent on SQL',
+	'S_END_OF'=>			'End of',
+	'S_MEMORY_LIMIT_REACHED'=>	'MEMROY LIMIT REACHED! Profiling was stopped to save memory for script processing.',
+	
+	
+	
+	
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: include/copt.lib.php
===================================================================
--- include/copt.lib.php	(revision 9199)
+++ include/copt.lib.php	(working copy)
@@ -238,21 +238,21 @@
 
 			$debug_str = '';
 			$debug_str.= '<a name="debug"></a>';
-			$debug_str.= "******************* Stats for $type *************************".OBR;
+			$debug_str.= "******************* ".S_STATS_FOR." $type *************************".OBR;
 			if(defined('USE_TIME_PROF')){
 				$time = $endtime - $starttime[$type];
 				if($time < TOTAL_TIME){
-					$debug_str.= 'Total time: '.round($time,6).OBR;
+					$debug_str.= S_TOTAL_TIME.': '.round($time,6).OBR;
 				}
 				else{
-					$debug_str.= '<b>Total time: '.round($time,6).'</b>'.OBR;
+					$debug_str.= '<b>'.S_TOTAL_TIME.': '.round($time,6).'</b>'.OBR;
 				}
 			}
 
 			if(defined('USE_MEM_PROF')){
-				$debug_str.= 'Memory limit	: '.ini_get('memory_limit').OBR;
-				$debug_str.= 'Memory usage	: '.mem2str($memorystamp[$type]).' - '.mem2str($memory).OBR;
-				$debug_str.= 'Memory leak	: '.mem2str($memory - $memorystamp[$type]).OBR;
+				$debug_str.= S_MEMORY_LIMIT.'	: '.ini_get('memory_limit').OBR;
+				$debug_str.= S_MEMORY_USAGE.'	: '.mem2str($memorystamp[$type]).' - '.mem2str($memory).OBR;
+				$debug_str.= S_MEMORY_LEAK.'	: '.mem2str($memory - $memorystamp[$type]).OBR;
 			}
 
 			if(defined('USE_VAR_MON')){
@@ -276,9 +276,9 @@
 				if(defined('SHOW_SQLREQUEST_DETAILS')){
 					$requests_cnt = count($sqlrequests);
 					if(isset($DB) && isset($DB['SELECT_COUNT'])){
-						$debug_str.= 'SQL selects count: '.$DB['SELECT_COUNT'].OBR;
-						$debug_str.= 'SQL executes count: '.$DB['EXECUTE_COUNT'].OBR;
-						$debug_str.= 'SQL requests count: '.($requests_cnt - $sqlmark[$type]).OBR;
+						$debug_str.= S_SQL_SELECTS_COUNT.': '.$DB['SELECT_COUNT'].OBR;
+						$debug_str.= S_SQL_EXECUTES_COUNT.': '.$DB['EXECUTE_COUNT'].OBR;
+						$debug_str.= S_SQL_REQUESTS_COUNT.': '.($requests_cnt - $sqlmark[$type]).OBR;
 					}
 
 					$sql_time=0;
@@ -286,10 +286,10 @@
 						$time=$sqlrequests[$i][0];
 						$sql_time+=$time;
 						if($time < LONG_QUERY){
-							$debug_str.= 'Time:'.round($time,8).' SQL:&nbsp;'.$sqlrequests[$i][1].OBR;
+							$debug_str.= S_TIME.':'.round($time,8).' SQL:&nbsp;'.$sqlrequests[$i][1].OBR;
 						}
 						else{
-							$debug_str.= '<b>Time:'.round($time,8).' LONG SQL:&nbsp;'.$sqlrequests[$i][1].'</b>'.OBR;
+							$debug_str.= '<b>'.S_TIME.':'.round($time,8).' LONG SQL:&nbsp;'.$sqlrequests[$i][1].'</b>'.OBR;
 						}
 					}
 				}
@@ -298,13 +298,13 @@
 				}
 
 				if($sql_time < QUERY_TOTAL_TIME){
-					$debug_str.= 'Total time spent on SQL: '.round($sql_time,8).OBR;
+					$debug_str.= S_TOTAL_TIME_SPENT_ON_SQL.': '.round($sql_time,8).OBR;
 				}
 				else{
-					$debug_str.= '<b>Total time spent on SQL: '.round($sql_time,8).'</b>'.OBR;
+					$debug_str.= '<b>'.S_TOTAL_TIME_SPENT_ON_SQL.': '.round($sql_time,8).'</b>'.OBR;
 				}
 			}
-			$debug_str.= "******************** End of $type ***************************".OBR;
+			$debug_str.= "******************** ".S_END_OF." $type ***************************".OBR;
 
 			self::$debug_info[$type] = $debug_str;
 		}
@@ -316,7 +316,7 @@
 			$debug->setAttribute('style','display: none; overflow: auto; width: 95%; border: 1px #777777 solid; margin: 4px; padding: 4px;');
 
 			if(self::$memory_limit_reached){
-				$debug->addItem(array(BR(),new CJSscript('MEMROY LIMIT REACHED! Profiling was stopped to save memory for script processing.'),BR()));
+				$debug->addItem(array(BR(),new CJSscript(S_MEMORY_LIMIT_REACHED),BR()));
 			}
 			foreach(self::$debug_info as $type => $info){
 				$debug->addItem(array(BR(),new CJSscript($info),BR()));