Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9554)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1785,6 +1785,27 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+//	validate.inc.php
+	'S_CRITICAL_ERROR'=>				'Critical error',
+	'S_FIELD'=>					'Field',
+	'S_IS_NOT_IP_RANGE_SMALL'=>			'is not IP range',
+	'S_IS_NOT_INTEGER_RANGE_SMALL'=>		'is not integer range',
+	'S_IS_NOT_INTEGER_SMALL'=>			'is not integer',
+	'S_IS_NOT_DOUBLE_SMALL'=>			'is not double',
+	'S_IS_NOT_STRING_SMALL'=>			'is not string',
+	'S_CONTAINS_MULTIBYTE_CHARS_SMALL'=>		'contains Multibyte chars',
+	'S_MULTIBYTE_CHARS_ARE_RESTRICTED_SMALL'=>	'multibyte chars are restricted',
+	'S_IS_NOT_A_COLOUR_SMALL'=>			'is not a colour',
+	'S_IS_MANDATORY_SMALL'=>			'is mandatory',
+	'S_MUST_BE_MISSING_SMALL'=>			'must be missing',
+	'S_OPERATION_CANNOT_PERFORMED_UNAUTH_REQUEST'=>	'Operation cannot be performed due to unauthorized request',
+	'S_INCORRECT_VALUE_FOR'=>			'Incorrect value for',
+	
+	
+
+	
+	
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: include/validate.inc.php
===================================================================
--- include/validate.inc.php	(revision 9554)
+++ include/validate.inc.php	(working copy)
@@ -347,11 +347,11 @@
 		if($type == T_ZBX_IP_RANGE){
 			if( !validate_ip_range($var) ){
 				if($flags&P_SYS){
-					info('Critical error. Field ['.$field.'] is not IP range');
+					info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_IP_RANGE_SMALL);
 					return ZBX_VALID_ERROR;
 				}
 				else{
-					info('Warning. Field ['.$field.'] is not IP range');
+					info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_IP_RANGE_SMALL);
 					return ZBX_VALID_WARNING;
 				}
 			}
@@ -369,11 +369,11 @@
 		if($type == T_ZBX_INT_RANGE){
 			if( !is_int_range($var) ){
 				if($flags&P_SYS){
-					info('Critical error. Field ['.$field.'] is not integer range');
+					info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_INTEGER_RANGE_SMALL);
 					return ZBX_VALID_ERROR;
 				}
 				else{
-					info('Warning. Field ['.$field.'] is not integer range');
+					info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_INTEGER_RANGE_SMALL);
 					return ZBX_VALID_WARNING;
 				}
 			}
@@ -382,44 +382,44 @@
 
 		if(($type == T_ZBX_INT) && !is_numeric($var)) {
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] is not integer');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_INTEGER_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] is not integer');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_INTEGER_SMALL);
 				return ZBX_VALID_WARNING;
 			}
 		}
 
 		if(($type == T_ZBX_DBL) && !is_numeric($var)) {
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] is not double');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_DOUBLE_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] is not double');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_DOUBLE_SMALL);
 				return ZBX_VALID_WARNING;
 			}
 		}
 
 		if(($type == T_ZBX_STR) && !is_string($var)) {
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] is not string');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_STRING_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] is not string');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_STRING_SMALL);
 				return ZBX_VALID_WARNING;
 			}
 		}
 //*
 		if(($type == T_ZBX_STR) && !defined('ZBX_ALLOW_UNICODE') && (strlen($var) != zbx_strlen($var))){
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] contains Multibyte chars');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_CONTAINS_MULTIBYTE_CHARS_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] - multibyte chars are restricted');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.'] - '.S_MULTIBYTE_CHARS_ARE_RESTRICTED_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 		}
@@ -427,11 +427,11 @@
 		if(($type == T_ZBX_CLR) && !is_hex_color($var)) {
 			$var = 'FFFFFF';
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] is not a colour');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_A_COLOUR_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] is not a colour');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_NOT_A_COLOUR_SMALL);
 				return ZBX_VALID_WARNING;
 			}
 		}
@@ -452,7 +452,7 @@
 	function check_field(&$fields, &$field, $checks){
 		if(!isset($checks[5])) $checks[5] = $field;
 		list($type,$opt,$flags,$validation,$exception,$caption)=$checks;
-
+                                                            	
 		if($flags&P_UNSET_EMPTY && isset($_REQUEST[$field]) && $_REQUEST[$field]==''){
 			unset_request($field,'P_UNSET_EMPTY');
 		}
@@ -471,11 +471,11 @@
 		if($opt == O_MAND){
 			if(!isset($_REQUEST[$field])){
 				if($flags&P_SYS){
-					info('Critical error. Field ['.$field.'] is mandatory');
+					info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_MANDATORY_SMALL);
 					return ZBX_VALID_ERROR;
 				}
 				else{
-					info('Warning. Field ['.$field.'] is mandatory');
+					info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_IS_MANDATORY_SMALL);
 					return ZBX_VALID_WARNING;
 				}
 			}
@@ -487,11 +487,11 @@
 			unset_request($field,'O_NO');
 
 			if($flags&P_SYS){
-				info('Critical error. Field ['.$field.'] must be missing');
+				info(S_CRITICAL_ERROR.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_MUST_BE_MISSING_SMALL);
 				return ZBX_VALID_ERROR;
 			}
 			else{
-				info('Warning. Field ['.$field.'] must be missing');
+				info(S_WARNING.'.'.SPACE.S_FIELD.SPACE.'['.$field.']'.SPACE.S_MUST_BE_MISSING_SMALL);
 				return ZBX_VALID_WARNING;
 			}
 		}
@@ -501,11 +501,11 @@
 			}
 			else if($flags&P_ACT){
 				if(!isset($_REQUEST['sid'])){
-					info('Operation cannot be performed due to unauthorized request');
+					info(S_OPERATION_CANNOT_PERFORMED_UNAUTH_REQUEST);
 					return ZBX_VALID_ERROR;
 				}
 				else if(isset($_COOKIE['zbx_sessionid']) && ($_REQUEST['sid'] != substr($_COOKIE['zbx_sessionid'],16,16))){
-					info('Operation cannot be performed due to unauthorized request');
+					info(S_OPERATION_CANNOT_PERFORMED_UNAUTH_REQUEST);
 					return ZBX_VALID_ERROR;
 				}
 			}
@@ -526,11 +526,11 @@
 
 			if(!$valid){
 				if($flags&P_SYS){
-					info('Critical error. Incorrect value for ['.$caption.'] = "'.$_REQUEST[$field].'"');
+					info(S_CRITICAL_ERROR.'.'.SPACE.S_INCORRECT_VALUE_FOR.SPACE.'['.$caption.'] = "'.$_REQUEST[$field].'"');
 					return ZBX_VALID_ERROR;
 				}
 				else{
-					info('Warning. Incorrect value for ['.$caption.']');
+					info(S_WARNING.'.'.SPACE.S_INCORRECT_VALUE_FOR.SPACE.'['.$caption.']');
 					return ZBX_VALID_WARNING;
 				}
 			}