Index: js/functions.js
===================================================================
--- js/functions.js	(revision 9731)
+++ js/functions.js	(working copy)
@@ -46,7 +46,7 @@
 function call_ins_macro_menu(ev){
 	show_popup_menu(ev,
 					[
-						['Insert macro',null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
+						[locale['S_INSERT_MACRO'],null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
 						['TRIGGER.VALUE=0', 'javascript: set_macro(0);',
 						 null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
 						['TRIGGER.VALUE=1', 'javascript: set_macro(1);',
@@ -64,13 +64,13 @@
 }
 
 function call_triggerlog_menu(evnt,id,name,ltype,menu_options){
- 	var tname = 'Create Log Trigger';
+ 	var tname = locale['S_CREATE_LOG_TRIGGER'];
 
 	if(typeof(menu_options) != 'undefined'){
 		show_popup_menu(evnt,
 					[
 						[name,null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
-						['Create Log Trigger', "javascript: openWinCentered('tr_logform.php?sform=1&itemid="+id+"&ltype="+ltype+"','TriggerLog',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');",{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
+						[locale['S_CREATE_LOG_TRIGGER'], "javascript: openWinCentered('tr_logform.php?sform=1&itemid="+id+"&ltype="+ltype+"','TriggerLog',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');",{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
 						menu_options
 					],240);
 	}
@@ -78,7 +78,7 @@
 		show_popup_menu(evnt,
 					[
 						[name,null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
-						['Create Log Trigger', "javascript: openWinCentered('tr_logform.php?sform=1&itemid="+id+"&ltype="+ltype+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", {'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
+						[locale['S_CREATE_LOG_TRIGGER'], "javascript: openWinCentered('tr_logform.php?sform=1&itemid="+id+"&ltype="+ltype+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", {'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
 					],140);
 	}
 return false;
@@ -215,9 +215,9 @@
 	tr.appendChild(td);
 	
 	var url = document.createElement('a');
-	url.setAttribute('href','javascript: if(confirm("Delete expression?")) remove_expression("logtr'+logexpr_count+'");');
+	url.setAttribute('href','javascript: if(confirm("'+locale['S_DELETE_EXPRESSION_Q']+'")) remove_expression("logtr'+logexpr_count+'");');
 	url.setAttribute(classattr,'action');
-	url.appendChild(document.createTextNode('Delete'));
+	url.appendChild(document.createTextNode(locale['S_DELETE']));
 	
 	td.appendChild(url);
 	
@@ -395,9 +395,9 @@
 	tr.appendChild(td);
 	
 	var url = document.createElement('a');
-	url.setAttribute('href','javascript: if(confirm("Delete keyword?")) remove_keyword("keytr'+key_count+'");');
+	url.setAttribute('href','javascript: if(confirm("'+locale['S_DELETE_KEYWORD_Q']+'")) remove_keyword("keytr'+key_count+'");');
 	url.setAttribute(classattr,'action');
-	url.appendChild(document.createTextNode('Delete'));
+	url.appendChild(document.createTextNode(locale['S_DELETE']));
 	
 	td.appendChild(url);
 	
@@ -464,7 +464,7 @@
 
 function copy_expression(id){
 	var expr_temp = document.getElementsByName('expr_temp')[0];
-	if (expr_temp.value.length > 0 && !confirm('Do you replace the conditional expression?')) return;
+	if (expr_temp.value.length > 0 && !confirm(locale['DO_YOU_REPLACE_CONDITIONAL_EXPRESSION_Q'])) return;
 
 	var src = document.getElementById(id);
 	if (typeof src.textContent != 'undefined') expr_temp.value = src.textContent;
@@ -473,7 +473,7 @@
 
 function set_macro(v){
 	var expr_temp = document.getElementsByName('expr_temp')[0];
-	if (expr_temp.value.length > 0 && !confirm('Do you replace the conditional expression?')) return;
+	if (expr_temp.value.length > 0 && !confirm(locale['DO_YOU_REPLACE_CONDITIONAL_EXPRESSION_Q'])) return;
 
 	var sign = '=';
 	if(v >= 10) {
@@ -508,15 +508,15 @@
 		show_popup_menu(evnt,
 					[
 						[name,null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
-						['Add Service',"javascript: openWinCentered('services_form.php?sform=1&parentid="+id+"&parentname="+name+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
-						['Edit Service',"javascript: openWinCentered('services_form.php?sform=1&serviceid="+id+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');",null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
-						['Delete Service',"javascript: if(Confirm('Delete selected services?')){ openWinCentered('services_form.php?saction=1&delete=1&serviceid="+id+"','ServiceForm',400,300,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');}",null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
+						[locale['S_ADD_SERVICE'],"javascript: openWinCentered('services_form.php?sform=1&parentid="+id+"&parentname="+name+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
+						[locale['S_EDIT_SERVICE'],"javascript: openWinCentered('services_form.php?sform=1&serviceid="+id+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');",null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}],
+						[locale['S_DELETE_SERVICE'],"javascript: if(Confirm('"+locale['S_DELETE_SELECTED_SERVICES_Q']+"')){ openWinCentered('services_form.php?saction=1&delete=1&serviceid="+id+"','ServiceForm',400,300,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');}",null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
 					],120);
 	} else {
 		show_popup_menu(evnt,
 					[
 						[name,null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
-						['Add Service',"javascript: openWinCentered('services_form.php?sform=1&parentid="+id+"&parentname="+name+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
+						[locale['S_ADD_SERVICE'],"javascript: openWinCentered('services_form.php?sform=1&parentid="+id+"&parentname="+name+"','ServiceForm',760,540,'titlebar=no, resizable=yes, scrollbars=yes, dialog=no');", null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]
 					],120);
 	}
 return false;
@@ -663,13 +663,13 @@
 //------------------------------------------------------
 
 function create_mon_trigger_menu(e, args, items){
-	var tr_menu = new Array(['Triggers',null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
+	var tr_menu = new Array([locale['S_TRIGGERS'],null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}],
 								['Events','events.php?triggerid='+args[0].triggerid+'&nav_time='+args[0].lastchange,null]);
 
 	if((args.length > 1) && !is_null(args[1])) tr_menu.push(args[1]);
 	if((args.length > 1) && !is_null(args[2])) tr_menu.push(args[2]);
 
-	tr_menu.push(['Simple graphs',null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}]);
+	tr_menu.push([locale['S_SIMPLE_GRAPHS'],null,null,{'outer' : ['pum_oheader'],'inner' : ['pum_iheader']}]);
 
 //	for(var i=0; i < items.length; i++){
 	for(var itemid in items){
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9731)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1792,6 +1792,16 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+//	functions.js
+	'S_CREATE_LOG_TRIGGER'=>			'Create Log Trigger',
+	'DO_YOU_REPLACE_CONDITIONAL_EXPRESSION_Q'=>	'Do you replace the conditional expression?',
+	'S_ADD_SERVICE'=>				'Add Service',
+	'S_EDIT_SERVICE'=>				'Edit Service',
+	'S_DELETE_SERVICE'=>				'Delete Service',
+	'S_DELETE_SELECTED_SERVICES_Q'=>		'Delete selected services?',
+	
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: include/forms.inc.php
===================================================================
--- include/forms.inc.php	(revision 9731)
+++ include/forms.inc.php	(working copy)
@@ -2736,6 +2736,14 @@
 				$frmTrig->addVar('expression', $expression);
 				$exprfname = 'expr_temp';
 				$exprtxt = new CTextBox($exprfname, $expr_temp, 65, 'yes');
+
+            			$jsLocale = array(
+                    			'DO_YOU_REPLACE_CONDITIONAL_EXPRESSION_Q',
+					'S_INSERT_MACRO'
+            			);
+
+            			zbx_addJSLocale($jsLocale);
+
 				$macrobtn = new CButton('insert_macro', S_INSERT_MACRO, 'return call_ins_macro_menu(event);');
 				$exprparam = "this.form.elements['$exprfname'].value";
 			}
Index: include/triggers.inc.php
===================================================================
--- include/triggers.inc.php	(revision 9731)
+++ include/triggers.inc.php	(working copy)
@@ -2971,6 +2971,13 @@
 				if($action){
 					$url = new CSpan($e, 'link');
 					$url->setAttribute('id', 'expr' . $n['id']);
+
+            				$jsLocale = array(
+                    				'DO_YOU_REPLACE_CONDITIONAL_EXPRESSION_Q'
+            				);
+
+            				zbx_addJSLocale($jsLocale);
+
 					$url->setAttribute('onclick', 'javascript: copy_expression("expr'. $n['id'] .'");');
 					$expr[] = $url;
 				}
Index: include/services.inc.php
===================================================================
--- include/services.inc.php	(revision 9731)
+++ include/services.inc.php	(working copy)
@@ -643,6 +643,16 @@
 		$rows['parentid'] = $parentid;
 		if($soft == 0){
 			$caption_tmp = $rows['caption'];
+
+            		$jsLocale = array(
+                    		'S_ADD_SERVICE',
+                    		'S_EDIT_SERVICE',
+                    		'S_DELETE_SERVICE',
+                    		'S_DELETE_SELECTED_SERVICES_Q'
+            		);
+
+            		zbx_addJSLocale($jsLocale);
+
 			$rows['caption'] = new CSpan($rows['caption'],'link');
 			$rows['caption']->setAttribute('onclick','javascript: call_menu(event, '.zbx_jsvalue($rows['serviceid']).','.zbx_jsvalue($caption_tmp).');');
 
Index: tr_logform.php
===================================================================
--- tr_logform.php	(revision 9731)
+++ tr_logform.php	(working copy)
@@ -306,6 +306,15 @@
 	$ctb = new CTextBox('expression','',80);
 	$ctb->setAttribute('id','logexpr');
 
+	$jsLocale = array(
+                'S_ERROR',
+                'S_DELETE_KEYWORD_Q',
+                'S_DELETE',
+                'S_DELETE_EXPRESSION_Q'
+        );
+
+        zbx_addJSLocale($jsLocale);
+
 	$cb = new CButton('add_exp',S_ADD,'javascript: add_logexpr();');
 	$cb->setType('button');
 	$cb->setAttribute('id','add_exp');
Index: items.php
===================================================================
--- items.php	(revision 9731)
+++ items.php	(working copy)
@@ -1093,6 +1093,12 @@
 					$triggers = '';
 				}
 
+            			$jsLocale = array(
+                    			'S_CREATE_LOG_TRIGGER'
+            			);
+
+            			zbx_addJSLocale($jsLocale);
+
 				$menuicon = new CDiv(SPACE,'iconmenu');
 				$menuicon->setAttribute('onclick','javascript: call_triggerlog_menu(event, '.
 														zbx_jsvalue($item['itemid']).','.
Index: report5.php
===================================================================
--- report5.php	(revision 9731)
+++ report5.php	(working copy)
@@ -143,6 +143,13 @@
 			$tr_conf_link = "['".S_CONFIGURATION_OF_TRIGGERS."',\"javascript: redirect('triggers.php?form=update&triggerid=".$row['triggerid']."&hostid=".$row['hostid']."')\", null,{'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]";
 
 
+                $jsLocale = array(
+                        'S_TRIGGERS',
+                        'S_SIMPLE_GRAPHS'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		$tr_desc = new CSpan($description,'pointer');
 		$tr_desc->addAction('onclick',"create_mon_trigger_menu(event, ".
 										" new Array({'triggerid': '".$row['triggerid']."', 'lastchange': '".$row['lastchange']."'},".$tr_conf_link."),".
Index: events.php
===================================================================
--- events.php	(revision 9731)
+++ events.php	(working copy)
@@ -420,6 +420,14 @@
 			}
 
 			$tr_desc = new CSpan($event['desc'],'pointer');
+
+            		$jsLocale = array(
+                    		'S_TRIGGERS',
+                    		'S_SIMPLE_GRAPHS'
+            		);
+
+            		zbx_addJSLocale($jsLocale);
+
 			$tr_desc->addAction('onclick',"create_mon_trigger_menu(event, ".
 									" new Array({'triggerid': '".$trigger['triggerid']."', 'lastchange': '".$event['clock']."'}),".
 									zbx_jsvalue($items).");");
Index: tr_status.php
===================================================================
--- tr_status.php	(revision 9731)
+++ tr_status.php	(working copy)
@@ -475,6 +475,13 @@
 				null, {'outer' : ['pum_o_item'],'inner' : ['pum_i_item']}]";
 		}
 
+    		$jsLocale = array(
+			'S_TRIGGERS',
+			'S_SIMPLE_GRAPHS'
+	        );
+    	
+    		zbx_addJSLocale($jsLocale);
+
 		$description->addAction('onclick',
 			"javascript: create_mon_trigger_menu(event, new Array({'triggerid': '".$trigger['triggerid'].
 				"', 'lastchange': '".$trigger['lastchange']."'}, ".$menu_trigger_conf.", ".$menu_trigger_url."),".