Index: slides.php
===================================================================
--- slides.php	(revision 9731)
+++ slides.php	(working copy)
@@ -125,6 +125,14 @@
 
 						$element->show();
 
+			                        $jsLocale = array(
+                    				        'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+                            				'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+                            				'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+                    				);
+
+                    				zbx_addJSLocale($jsLocale);
+
 						$script = get_update_doll_script('mainpage', $_REQUEST['favid'], 'frequency', $refresh)."\n";
 						$script.= get_update_doll_script('mainpage', $_REQUEST['favid'], 'restartDoll')."\n";
 						$script.= 'timeControl.processObjects();';
@@ -357,6 +365,14 @@
 				'mainObject' => 1
 			);
 
+    			$jsLocale = array(
+		                'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+		                'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+		                'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+		        );
+
+		        zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: httpdetails.php
===================================================================
--- httpdetails.php	(revision 9731)
+++ httpdetails.php	(working copy)
@@ -290,6 +290,15 @@
 		'mainObject' => 1
 	);
 
+        $jsLocale = array(
+                'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+                'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+                'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+        );
+
+        zbx_addJSLocale($jsLocale);
+
+
 	zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 
 	$containerid = 'graph_2';
Index: js/gtlc.js
===================================================================
--- js/gtlc.js	(revision 9731)
+++ js/gtlc.js	(working copy)
@@ -1254,10 +1254,10 @@
 	this.fixedperiod = (this.fixedperiod == 1)?0:1;
 	
 	if(this.fixedperiod){
-		this.dom.period_state.innerHTML = 'fixed';
+		this.dom.period_state.innerHTML = locale['S_FIXED_SMALL'];
 	}
 	else{
-		this.dom.period_state.innerHTML = 'dynamic';
+		this.dom.period_state.innerHTML = locale['S_DYNAMIC_SMALL'];
 	}
 },
 
@@ -1392,7 +1392,7 @@
 	var right_info = date[0]+'.'+date[1]+'.'+date[2]+' '+date[3]+':'+date[4];//+':'+date[5];
 
 	if(this.timeline.now()){
-		right_info += '  (now!)  ';
+		right_info += '  ('+locale['S_NOW_SMALL']+'!)  ';
 	}
 	
 	this.dom.info_right.innerHTML = right_info;
@@ -1450,14 +1450,14 @@
 	}
 
 	var str = "";
-	str+=(years == 0)?(''):(years+'y ');
-	str+=(months == 0)?(''):(months+'m ');
-	str+=(weeks == 0)?(''):(weeks+'w ');
+	str+=(years == 0)?(''):(years+locale['S_YEAR_SHORT']+' ');
+	str+=(months == 0)?(''):(months+locale['S_MONTH_SHORT']+' ');
+	str+=(weeks == 0)?(''):(weeks+locale['S_WEEK_SHORT']+' ');
 	
-	if(extend && double) str+=days+'d ';
-	else str+=(days == 0)?(''):(days+'d ');
+	if(extend && double) str+=days+locale['S_DAY_SHORT']+' ';
+	else str+=(days == 0)?(''):(days+locale['S_DAY_SHORT']+' ');
 	
-	str+=hours+'h '+minutes+'m ';
+	str+=hours+locale['S_HOUR_SHORT']+' '+minutes+locale['S_MINUTE_SHORT']+' ';
 	
 return str;
 },
@@ -1646,7 +1646,7 @@
 	this.dom.zoom.appendChild(this.dom.text);
 	this.dom.text.className = 'text';
 	
-	this.dom.text.appendChild(document.createTextNode('Zoom:'));
+	this.dom.text.appendChild(document.createTextNode(locale['S_ZOOM']+':'));
 	
 	this.dom.links = document.createElement('span');
 	this.dom.zoom.appendChild(this.dom.links);
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9731)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1792,6 +1792,13 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+
+//	gtlc.js
+	'S_ZOOM'=>			'Zoom',
+	'S_FIXED_SMALL'=>		'fixed',
+	'S_DYNAMIC_SMALL'=>		'dynamic',
+	'S_NOW_SMALL'=>			'now',
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: screens.php
===================================================================
--- screens.php	(revision 9731)
+++ screens.php	(working copy)
@@ -254,6 +254,14 @@
 				'mainObject' => 1
 			);
 
+                        $jsLocale = array(
+                                'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+                                'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+                                'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+                        );
+
+                        zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: screenedit.php
===================================================================
--- screenedit.php	(revision 9731)
+++ screenedit.php	(working copy)
@@ -243,6 +243,15 @@
 		if($_REQUEST['screenid'] > 0){
 			$table = get_screen($_REQUEST['screenid'], 1);
 			$table->show();
+
+                        $jsLocale = array(
+                                'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+                                'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+                                'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+                        );
+
+                        zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('init_screen("'.$_REQUEST['screenid'].'","iframe","'.$_REQUEST['screenid'].'");');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: history.php
===================================================================
--- history.php	(revision 9731)
+++ history.php	(working copy)
@@ -610,7 +610,14 @@
 				$objData['mainObject'] = 1;
 			}
 
+            		$jsLocale = array(
+                    		'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+				'S_YEAR_SHORT',	'S_MONTH_SHORT', 'S_WEEK_SHORT',
+				'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+            		);
 
+            		zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 
Index: charts.php
===================================================================
--- charts.php	(revision 9731)
+++ charts.php	(working copy)
@@ -302,6 +302,14 @@
 			'dynamic' => 1
 		);
 
+                $jsLocale = array(
+                        'S_ZOOM', 'S_FIXED_SMALL','S_DYNAMIC_SMALL', 'S_NOW_SMALL',
+                        'S_YEAR_SHORT', 'S_MONTH_SHORT', 'S_WEEK_SHORT',
+                        'S_DAY_SHORT', 'S_HOUR_SHORT', 'S_MINUTE_SHORT'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 		zbx_add_post_js('timeControl.processObjects();');
 //-------------