Index: auditacts.php
===================================================================
--- auditacts.php	(revision 9731)
+++ auditacts.php	(working copy)
@@ -146,6 +146,16 @@
 
 	$filterForm->addRow(S_ACTIONS_SINCE,$nav_clndr);
 
+        $jsLocale = array(
+                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                'S_SUNDAY_SHORT_BIG'
+        );
+
+        zbx_addJSLocale($jsLocale);
+
 	zbx_add_post_js('create_calendar(null,'.
 				'["nav_day","nav_month","nav_year","nav_hour","nav_minute"],'.
 				'"audit_since");');
Index: slides.php
===================================================================
--- slides.php	(revision 9731)
+++ slides.php	(working copy)
@@ -125,6 +125,16 @@
 
 						$element->show();
 
+				                $jsLocale = array(
+            		                                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+    		                                        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+	                                                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                                            		'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                                    		        'S_SUNDAY_SHORT_BIG'
+                            		        );
+
+                    		                zbx_addJSLocale($jsLocale);
+
 						$script = get_update_doll_script('mainpage', $_REQUEST['favid'], 'frequency', $refresh)."\n";
 						$script.= get_update_doll_script('mainpage', $_REQUEST['favid'], 'restartDoll')."\n";
 						$script.= 'timeControl.processObjects();';
@@ -357,6 +367,16 @@
 				'mainObject' => 1
 			);
 
+                         $jsLocale = array(
+                                 'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                                 'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                                 'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                                 'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                                 'S_SUNDAY_SHORT_BIG'
+                         );
+
+                         zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: httpdetails.php
===================================================================
--- httpdetails.php	(revision 9731)
+++ httpdetails.php	(working copy)
@@ -290,6 +290,16 @@
 		'mainObject' => 1
 	);
 
+                $jsLocale = array(
+                        'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+			'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+			'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+    			'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+    			'S_SUNDAY_SHORT_BIG'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 	zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 
 	$containerid = 'graph_2';
Index: js/class.calendar.js
===================================================================
--- js/class.calendar.js	(revision 9731)
+++ js/class.calendar.js	(working copy)
@@ -75,7 +75,6 @@
 
 visible: 0,				//GMenu style state
 
-monthname: new Array('January','February','March','April','May','June','July','August','September','October','November','December'), // months
 
 initialize: function(id, stime, timeobjects, utime_field_id){
 	this.id = id;
@@ -520,16 +519,18 @@
 },
 
 setCDate: function(){
+
+	var monthname = new Array(locale['S_JANUARY'],locale['S_FEBRUARY'],locale['S_MARCH'],locale['S_APRIL'],locale['S_MAY'],locale['S_JUNE'],locale['S_JULY'],locale['S_AUGUST'],locale['S_SEPTEMBER'],locale['S_OCTOBER'],locale['S_NOVEMBER'],locale['S_DECEMBER']); // months
 	
 	this.clndr_minute.value = this.minute;
 	this.clndr_hour.value = this.hour;
 
 	if(IE){
-		this.clndr_month.innerHTML = this.monthname[this.month].toString();
+		this.clndr_month.innerHTML = monthname[this.month].toString();
 		this.clndr_year.innerHTML = this.year;		
 	}
 	else{
-		this.clndr_month.textContent = this.monthname[this.month];
+		this.clndr_month.textContent = monthname[this.month];
 		this.clndr_year.textContent = this.year;
 	}
 	
@@ -736,31 +737,31 @@
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('M'));
+		td.appendChild(document.createTextNode(locale['S_MONDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('T'));
+		td.appendChild(document.createTextNode(locale['S_TUESDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('W'));
+		td.appendChild(document.createTextNode(locale['S_WEDNESDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('T'));
+		td.appendChild(document.createTextNode(locale['S_THURSDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('F'));
+		td.appendChild(document.createTextNode(locale['S_FRIDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('S'));
+		td.appendChild(document.createTextNode(locale['S_SATURDAY_SHORT_BIG']));
 		
 		var td = document.createElement('td');
 	tr.appendChild(td);
-		td.appendChild(document.createTextNode('S'));
+		td.appendChild(document.createTextNode(locale['S_SUNDAY_SHORT_BIG']));
 	//******************************************************
 	
 	//******** DAYS CALENDAR *************
Index: auditlogs.php
===================================================================
--- auditlogs.php	(revision 9731)
+++ auditlogs.php	(working copy)
@@ -201,6 +201,16 @@
 
 	$filterForm->addRow(S_ACTIONS_SINCE,$nav_clndr);
 
+        $jsLocale = array(
+                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                'S_SUNDAY_SHORT_BIG'
+        );
+
+        zbx_addJSLocale($jsLocale);
+
 	zbx_add_post_js('create_calendar(null,'.
 				'["nav_day","nav_month","nav_year","nav_hour","nav_minute"],'.
 				'"audit_since");');
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9731)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1792,6 +1792,15 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+//	class.calendar.js
+	'S_MONDAY_SHORT_BIG'=>		'M',
+	'S_TUESDAY_SHORT_BIG'=>		'T',
+	'S_WEDNESDAY_SHORT_BIG'=>	'W',
+	'S_THURSDAY_SHORT_BIG'=>	'T',
+	'S_FRIDAY_SHORT_BIG'=>		'F',
+	'S_SATURDAY_SHORT_BIG'=>	'S',
+	'S_SUNDAY_SHORT_BIG'=>		'S',
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: screens.php
===================================================================
--- screens.php	(revision 9731)
+++ screens.php	(working copy)
@@ -254,6 +254,16 @@
 				'mainObject' => 1
 			);
 
+            		$jsLocale = array(
+                    		'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+	                        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+    		                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+	                        'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+	                        'S_SUNDAY_SHORT_BIG'
+    		        );
+            	
+            		zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: popup_period.php
===================================================================
--- popup_period.php	(revision 9731)
+++ popup_period.php	(working copy)
@@ -53,8 +53,16 @@
 		'form_refresh'=>	array(T_ZBX_STR, O_OPT, null,	null,	null)
 	);
 
-	check_fields($fields);
+        $jsLocale = array(
+                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                'S_SUNDAY_SHORT_BIG'
+        );
 
+        zbx_addJSLocale($jsLocale);
+
 	insert_js_function('add_period');
 	insert_js_function('update_period');
 
Index: events.php
===================================================================
--- events.php	(revision 9731)
+++ events.php	(working copy)
@@ -477,6 +477,17 @@
 
 					$clndr_icon
 				);
+
+        $jsLocale = array(
+                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                'S_SUNDAY_SHORT_BIG'
+        );
+
+        zbx_addJSLocale($jsLocale);
+
 	zbx_add_post_js('create_calendar(null,["nav_day","nav_month","nav_year","nav_hour","nav_minute"],"nav_time");');
 
 	$filterForm->addRow(S_EVENTS_SINCE,$nav_clndr);
Index: services_form.php
===================================================================
--- services_form.php	(revision 9731)
+++ services_form.php	(working copy)
@@ -630,6 +630,16 @@
 		$frmService->addVar('new_service_time[from]','');
 		$frmService->addVar('new_service_time[to]','');
 
+                $jsLocale = array(
+                        'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                        'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                        'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                        'S_SUNDAY_SHORT_BIG'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		$clndr_icon = new CImg('images/general/bar/cal.gif','calendar', 16, 12, 'pointer');
 		$clndr_icon->addAction('onclick','javascript: var pos = getPosition(this);'.
 											' pos.top-=203; pos.left+=16; '.
@@ -659,6 +669,16 @@
 								new CNumericBox('downtime_since_minute','',2),
 								$clndr_icon
 						));
+                $jsLocale = array(
+                        'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                        'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                        'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                        'S_SUNDAY_SHORT_BIG'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('create_calendar('.
 							'null,'.
 							'["downtime_since_day","downtime_since_month","downtime_since_year","downtime_since_hour","downtime_since_minute"],'.
Index: screenedit.php
===================================================================
--- screenedit.php	(revision 9731)
+++ screenedit.php	(working copy)
@@ -243,6 +243,17 @@
 		if($_REQUEST['screenid'] > 0){
 			$table = get_screen($_REQUEST['screenid'], 1);
 			$table->show();
+
+	                $jsLocale = array(
+    		                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+            		        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+	                        'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+    		                'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+            		        'S_SUNDAY_SHORT_BIG'
+	                );
+    	    
+        	        zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('init_screen("'.$_REQUEST['screenid'].'","iframe","'.$_REQUEST['screenid'].'");');
 			zbx_add_post_js('timeControl.processObjects();');
 		}
Index: history.php
===================================================================
--- history.php	(revision 9731)
+++ history.php	(working copy)
@@ -610,7 +610,16 @@
 				$objData['mainObject'] = 1;
 			}
 
+	                $jsLocale = array(
+    		                'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+            		        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                    		'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+	                        'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+    		                'S_SUNDAY_SHORT_BIG'
+            		);
 
+	                zbx_addJSLocale($jsLocale);
+
 			zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 			zbx_add_post_js('timeControl.processObjects();');
 
Index: charts.php
===================================================================
--- charts.php	(revision 9731)
+++ charts.php	(working copy)
@@ -302,6 +302,16 @@
 			'dynamic' => 1
 		);
 
+                $jsLocale = array(
+                        'S_JANUARY', 'S_FEBRUARY', 'S_MARCH', 'S_APRIL', 'S_MAY', 'S_JUNE',
+                        'S_JULY', 'S_AUGUST', 'S_SEPTEMBER', 'S_OCTOBER', 'S_NOVEMBER', 'S_DECEMBER',
+                        'S_MONDAY_SHORT_BIG', 'S_TUESDAY_SHORT_BIG', 'S_WEDNESDAY_SHORT_BIG',
+                        'S_THURSDAY_SHORT_BIG', 'S_FRIDAY_SHORT_BIG', 'S_SATURDAY_SHORT_BIG',
+                        'S_SUNDAY_SHORT_BIG'
+                );
+
+                zbx_addJSLocale($jsLocale);
+
 		zbx_add_post_js('timeControl.addObject("'.$dom_graph_id.'",'.zbx_jsvalue($timeline).','.zbx_jsvalue($objData).');');
 		zbx_add_post_js('timeControl.processObjects();');
 //-------------