Index: js/class.cmap.js
===================================================================
--- js/class.cmap.js	(revision 9765)
+++ js/class.cmap.js	(working copy)
@@ -31,7 +31,7 @@
 	}
 
 	if(is_number(sysmapid) && (sysmapid > 100000000000000)){
-		throw('Error: Wrong type of arguments passed to function [create_map]');
+		throw(locale['S_ERROR']+': '+locale['S_WRONG_TYPE_OF_ARGUMENTS_PASSED_TO_FUNCTION']+' [create_map]');
 	}
 	
 
@@ -71,7 +71,7 @@
 	iconid_unknown:	0,			// ALWAYS must be a STRING (js doesn't support uint64)
 	iconid_maintenance:0,		// ALWAYS must be a STRING (js doesn't support uint64)
 	iconid_disabled:0,			// ALWAYS must be a STRING (js doesn't support uint64)
-	label:			'New Element',
+	label:			'',
 	label_location:	3,
 	x:				0,
 	y:				0,
@@ -87,7 +87,7 @@
 	selementid1:	0,				// ALWAYS must be a STRING (js doesn't support uint64)
 	selementid2:	0,				// ALWAYS must be a STRING (js doesn't support uint64)
 	linktriggers:	{},				// ALWAYS must be a STRING (js doesn't support uint64)
-	tr_desc:		'Select',		// default trigger caption
+	tr_desc:		'',		// default trigger caption
 	drawtype:		0,
 	color:			'0000CC',
 	status:			1				// status of link 1 - active, 2 - passive
@@ -97,7 +97,7 @@
 mlinktrigger: {
 	linktriggerid:	0,					// ALWAYS must be a STRING (js doesn't support uint64)
 	triggerid:		0,					// ALWAYS must be a STRING (js doesn't support uint64)
-	desc_exp:		'Set Trigger',		// default trigger caption
+	desc_exp:		'',		// default trigger caption
 	drawtype:		0,
 	color:			'CC0000'
 },
@@ -158,7 +158,7 @@
 						'parameters':params,
 //						'onSuccess': function(resp){ SDI(resp.responseText); },
 						'onSuccess': function(resp){ },
-						'onFailure': function(){ throw('Get selements FAILED.'); }
+						'onFailure': function(){ throw(locale['S_GET_SELEMENTS_FAILED']); }
 					}
 	);
 },
@@ -192,6 +192,8 @@
 	this.debug('add_empty_selement');
 	
 //	var selement = this.mselement;
+
+	this.mselement.label=locale['S_NEW_ELEMENT'];
 	
 	var selement = {};
 	for(var key in this.mselement){
@@ -242,11 +244,13 @@
 		}
 	}
 	else{
-		this.info('Two elements should be selected');
+		this.info(locale['S_TWO_ELEMENTS_SHOULD_BE_SELECTED']);
 		return false;
 	}
 		
 	var mlink = {};
+
+	this.mlink.tr_desc = locale['S_SELECT'];
 	for(var key in this.mlink){
 		mlink[key] = this.mlink[key];
 	}
@@ -265,6 +269,8 @@
 	var id = this.linkids[linkid];
 
 	var mlinktrigger = {};
+
+	this.mlinktrigger.desc_exp = locale['S_SET_TRIGGER'];
 	for(var key in this.mlinktrigger){
 		mlinktrigger[key] = this.mlinktrigger[key];
 	}
@@ -444,7 +450,7 @@
 	this.debug('remove_selements');
 //--
 
-	if(Confirm('Delete selected elements?')){
+	if(Confirm(locale['S_DELETE_SELECTED_ELEMENTS_Q'])){
 		for(var i=0; i<this.selection.position; i++){
 			if(!isset(i, this.selection.selements)) continue;
 
@@ -607,14 +613,14 @@
 		}
 	}
 	else{
-		this.info('Please select two elements');
+		this.info(locale['S_PLEASE_SELECT_TWO_ELEMENTS']);
 		return false;
 	}
 	
 	var linkids = this.get_linkid_by_selementids(selementid1,selementid2);
 
 	if(linkids !== false){
-		if(Confirm('Delete Links between selected elements?')){			
+		if(Confirm(locale['S_DELETE_LINKS_BETWEEN_SELECTED_ELEMENTS_Q'])){			
 			for(var linkid in linkids){
 				this.remove_link(linkid);
 			}
@@ -1334,7 +1340,7 @@
 		var e_span_5 = document.createElement('span');
 		e_span_5.className = "link";
 		addListener(e_span_5, 'click', this.updateForm_link.bindAsEventListener(this, linkid));
-		e_span_5.appendChild(document.createTextNode('Link '+count));
+		e_span_5.appendChild(document.createTextNode(locale['S_LINK']+' '+count));
 		e_td_4.appendChild(e_span_5);
 
 
@@ -1366,7 +1372,7 @@
 		var e_td_4 = document.createElement('td');
 		e_td_4.setAttribute('colSpan',4);
 		e_td_4.setAttribute('class','center');
-		e_td_4.appendChild(document.createTextNode('No links'));
+		e_td_4.appendChild(document.createTextNode(locale['S_NO_LINKS']));
 		e_tr_3.appendChild(e_td_4);
 	}
 
Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9765)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1137,11 +1137,19 @@
 	'S_TOP'=>						'Top',
 	'S_LINK_STATUS_INDICATORS'=>	'Link status indicators',
 
-	'S_REMOVE_ELEMENT'=>			'Remove element',
+	'S_REMOVE_ELEMENT'=>				'Remove element',
 	'S_ADD_LINK'=>					'Add link',
 	'S_REMOVE_LINK'=>				'Remove link',
+	'S_GET_SELEMENTS_FAILED'=>			'Get selements FAILED.',
+	'S_TWO_ELEMENTS_SHOULD_BE_SELECTED'=>		'Two elements should be selected',
+	'S_DELETE_SELECTED_ELEMENTS_Q'=>		'Delete selected elements?',
+	'S_PLEASE_SELECT_TWO_ELEMENTS'=>		'Please select two elements',
+	'S_DELETE_LINKS_BETWEEN_SELECTED_ELEMENTS_Q'=>	'Delete Links between selected elements?',
+	'S_NO_LINKS'=>					'No links',
+	'S_WRONG_TYPE_OF_ARGUMENTS_PASSED_TO_FUNCTION'=>'Wrong type of arguments passed to function',
+	'S_NEW_ELEMENT'=>				'New element',
+	'S_SET_TRIGGER'=>				'Set trigger',
 
-
 //	map.php
 	'S_OK_BIG'=>			'OK',
 	'S_PROBLEM_BIG'=>		'PROBLEM',
Index: sysmap.php
===================================================================
--- sysmap.php	(revision 9765)
+++ sysmap.php	(working copy)
@@ -371,8 +371,8 @@
 	$container->Show();
 
 	$jsLocale = array(
-			'S_EDIT_MAP_ELEMENT',
-			'S_TYPE','S_LABEL',
+			'S_EDIT_MAP_ELEMENT','S_ERROR',
+			'S_TYPE','S_LABEL','S_GET_SELEMENTS_FAILED',
 			'S_LABEL_LOCATION','S_HOST',
 			'S_MAP','S_TRIGGER','S_SELECT',
 			'S_HOST_GROUP','S_IMAGE','S_ICON_OK',
@@ -380,13 +380,17 @@
 			'S_ICON_MAINTENANCE','S_ICON_DISABLED','S_ICON_DEFAULT',
 			'S_COORDINATE_X','S_COORDINATE_Y',
 			'S_URL','S_BOTTOM','S_TOP','S_LEFT','S_RIGHT','S_DEFAULT',
-			'S_APPLY','S_REMOVE','S_CLOSE',
+			'S_APPLY','S_REMOVE','S_CLOSE','S_PLEASE_SELECT_TWO_ELEMENTS',
 			'S_MAP_ELEMENTS','S_MAP_LINKS','S_CONNECTORS',
 			'S_ELEMENT','S_LINK_STATUS_INDICATOR',
 			'S_LINK','S_EDIT_CONNECTOR','S_TRIGGERS','S_COLOR',
 			'S_ADD','S_TYPE_OK','S_COLOR_OK','S_LINK_INDICATORS',
 			'S_TYPE_PROBLEM','S_COLOR_PROBLEM','S_DESCRIPTION',
-			'S_LINE','S_BOLD_LINE','S_DOT','S_DASHED_LINE','S_USE_ADVANCED_ICONS'
+			'S_LINE','S_BOLD_LINE','S_DOT','S_DASHED_LINE','S_USE_ADVANCED_ICONS',
+			'S_WRONG_TYPE_OF_ARGUMENTS_PASSED_TO_FUNCTION',
+			'S_TWO_ELEMENTS_SHOULD_BE_SELECTED','S_DELETE_SELECTED_ELEMENTS_Q',
+			'S_PLEASE_SELECT_TWO_ELEMENTS','S_LINK','S_NO_LINKS',
+			'S_NEW_ELEMENT','S_SELECT','S_SET_TRIGGER'
 		);
 
 	zbx_addJSLocale($jsLocale);