Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9765)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1792,6 +1792,19 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+//	db.inc.php
+	'S_ERROR_CONNECTING_TO_DATABASE'=>	'Error connecting to database',
+	'S_UNKNOWN_DATABASE_TYPE'=>		'Unknown database type.',
+	'S_ERROR_DATABASE_SELECTION'=>		'Error database selection',
+	'S_MISSING_DATABASE'=>			'Missing database',
+	'S_UNSUPPORTED_DATABASE'=>		'Unsupported database',
+	'S_MISSING_FILE'=>			'Missing file',
+	'S_POSSIBLE_ERROR_BIG'=>		'POSSIBLE ERROR',
+	'S_USED_INCORRECT_DATABASE_PROCESSION'=>'Used incorrect logic in database processing, started subtransaction!',
+	'S_ERROR_IN_QUERY'=>			'Error in query',
+	'S_SQL_ERROR'=>				'SQL error',
+	
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: include/db.inc.php
===================================================================
--- include/db.inc.php	(revision 9765)
+++ include/db.inc.php	(working copy)
@@ -45,7 +45,7 @@
 //SDI('type: '.$DB['TYPE'].'; server: '.$DB['SERVER'].'; port: '.$DB['PORT'].'; db: '.$DB['DATABASE'].'; usr: '.$DB['USER'].'; pass: '.$DB['PASSWORD']);
 
 		if(!isset($DB['TYPE'])){
-			$error = "Unknown database type.";
+			$error = S_UNKNOWN_DATABASE_TYPE;
 			$result = false;
 		}
 		else{
@@ -56,12 +56,12 @@
 					$mysql_server = $DB['SERVER'].( !empty($DB['PORT']) ? ':'.$DB['PORT'] : '');
 
 					if (!$DB['DB']= mysql_connect($mysql_server,$DB['USER'],$DB['PASSWORD'])){
-						$error = 'Error connecting to database ['.mysql_error().']';
+						$error = S_ERROR_CONNECTING_TO_DATABASE.SPACE.'['.mysql_error().']';
 						$result = false;
 					}
 					else{
 						if (!mysql_select_db($DB['DATABASE'])){
-							$error = 'Error database selection ['.mysql_error().']';
+							$error = S_ERROR_DATABASE_SELECTION.SPACE.'['.mysql_error().']';
 							$result = false;
 						}
 						else{
@@ -80,7 +80,7 @@
 
 					$DB['DB']= pg_connect($pg_connection_string);
 					if(!$DB['DB']){
-						$error = 'Error connecting to database';
+						$error = S_ERROR_CONNECTING_TO_DATABASE;
 						$result = false;
 					}
 					break;
@@ -96,10 +96,10 @@
 							$connect .= '/'.$DB['DATABASE'];
 					}
 
-					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'], $connect);
+					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'],"(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=localhost)(PORT=1521)))(CONNECT_DATA=(SID=ZBX)))");
 //					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'], '(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST='.$DB['SERVER'].')(PORT=1521))(CONNECT_DATA=(SERVICE_NAME='.$DB['DATABASE'].')))');
 					if(!$DB['DB']){
-						$error = 'Error connecting to database';
+						$error = S_ERROR_CONNECTING_TO_DATABASE;
 						$result = false;
 					}
 					break;
@@ -150,19 +150,19 @@
 					if(file_exists($DB['DATABASE'])){
 						$DB['DB']= sqlite3_open($DB['DATABASE']);
 						if(!$DB['DB']){
-							$error = 'Error connecting to database';
+							$error = S_ERROR_CONNECTING_TO_DATABASE;
 							$result = false;
 						}
 					}
 					else{
-						$error = 'Missing database';
+						$error = S_MISSING_DATABASE;
 						$result = false;
 					}
 
 					init_db_access();
 					break;
 				default:
-					$error = 'Unsupported database';
+					$error = S_UNSUPPORTED_DATABASE;
 					$result = false;
 			}
 		}
@@ -214,7 +214,7 @@
 		global $DB;
 
 		if(!file_exists($file)){
-			$error = 'DBloadfile. Missing file['.$file.']';
+			$error = 'DBloadfile.'.SPACE.S_MISSING_FILE.SPACE.'['.$file.']';
 			return false;
 		}
 
@@ -244,7 +244,7 @@
 		$DB['TRANSACTIONS']++;
 
 		if($DB['TRANSACTIONS']>1){
-			info('POSSIBLE ERROR: Used incorrect logic in database processing, started subtransaction!');
+			info(S_POSSIBLE_ERROR_BIG.':'.SPACE.S_USED_INCORRECT_DATABASE_PROCESSION);
 		return $DB['TRANSACTION_STATE'];
 		}
 
@@ -283,7 +283,7 @@
 			if($DB['TRANSACTIONS'] < 1){
 				$DB['TRANSACTIONS'] = 0;
 				$DB['TRANSACTION_STATE'] = false;
-				info('POSSIBLE ERROR: Used incorrect logic in database processing, transaction not started!');
+				info(S_POSSIBLE_ERROR_BIG.':'.SPACE.S_USED_INCORRECT_DATABASE_PROCESSION);
 			}
 
 		if(!is_null($result))
@@ -397,7 +397,7 @@
 
 					$result=mysql_query($query,$DB['DB']);
 					if(!$result){
-						error('Error in query ['.$query.'] ['.mysql_error().']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.mysql_error().']');
 					}
 					break;
 				case 'POSTGRESQL':
@@ -407,7 +407,7 @@
 
 					$result = pg_query($DB['DB'],$query);
 					if(!$result){
-						error('Error in query ['.$query.'] ['.pg_last_error().']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.pg_last_error().']');
 					}
 					break;
 				case 'ORACLE':
@@ -419,7 +419,7 @@
 					$result = DBexecute($query);
 					if(!$result){
 						$e = ocierror($result);
-						error('SQL error ['.$e['message'].'] in ['.$e['sqltext'].']');
+						error(S_SQL_ERROR.SPACE.'['.$e['message'].']'.SPACE.S_IN_SMALL.SPACE.'['.$e['sqltext'].']');
 					}
 
 					break;
@@ -433,7 +433,7 @@
 					}
 
 					if(!$result = sqlite3_query($DB['DB'],$query)){
-						error('Error in query ['.$query.'] ['.sqlite3_error($DB['DB']).']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.sqlite3_error($DB['DB']).']');
 					}
 					else{
 						$data = array();
@@ -482,27 +482,27 @@
 					$result=mysql_query($query,$DB['DB']);
 
 					if(!$result){
-						error('Error in query ['.$query.'] ['.mysql_error().']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.mysql_error().']');
 					}
 					break;
 				case 'POSTGRESQL':
 					$result = (bool) pg_query($DB['DB'],$query);
 
 					if(!$result){
-						error('Error in query ['.$query.'] ['.pg_last_error().']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.pg_last_error().']');
 					}
 					break;
 				case 'ORACLE':
 					$stid=OCIParse($DB['DB'],$query);
 					if(!$stid){
 						$e=@ocierror();
-						error('SQL error ['.$e['message'].'] in ['.$e['sqltext'].']');
+						error(S_SQL_ERROR.SPACE.'['.$e['message'].']'.SPACE.S_IN_SMALL.SPACE.'['.$e['sqltext'].']');
 					}
 
 					$result=@OCIExecute($stid,($DB['TRANSACTIONS']?OCI_DEFAULT:OCI_COMMIT_ON_SUCCESS));
 					if(!$result){
 						$e=ocierror($stid);
-						error('SQL error ['.$e['message'].'] in ['.$e['sqltext'].']');
+						error(S_SQL_ERROR.SPACE.'['.$e['message'].']'.SPACE.S_IN_SMALL.SPACE.'['.$e['sqltext'].']');
 					}
 					else{
 						$result = $stid;
@@ -516,7 +516,7 @@
 
 					$result = sqlite3_exec($DB['DB'], $query);
 					if(!$result){
-						error('Error in query ['.$query.'] ['.sqlite3_error($DB['DB']).']');
+						error(S_ERROR_IN_QUERY.SPACE.'['.$query.'] ['.sqlite3_error($DB['DB']).']');
 					}
 
 					if(!$DB['TRANSACTIONS']){