Index: include/locales/en_gb.inc.php
===================================================================
--- include/locales/en_gb.inc.php	(revision 9765)
+++ include/locales/en_gb.inc.php	(working copy)
@@ -1792,6 +1792,57 @@
 	'S_G'=>			'G',
 	'S_T'=>			'T',
 
+//	setup.inc.php
+	'S_INTRODUCTION'=>			'Introduction',
+	'S_LICENCE_AGREEMENT'=>			'Licence Agreement',
+	'S_CHECK_OF_PRE_REQUISITES'=>		'Check of pre-requisites',
+	'S_CONFIGURE_DB_CONNECTION'=>		'Configure DB connection',
+	'S_ZABBIX_SERVER_DETAILS'=>		'Zabbix server details',
+	'S_PRE_INSTALLATION_SUMMARY'=>		'Pre-Installation Summary',
+	'S_INSTALL'=>				'Install',
+	'S_INTRODUCTION_1'=>			'Welcome to the Zabbix frontend installation wizard.',
+	'S_INTRODUCTION_2'=>			'This installation wizard will guide you through the installation of Zabbix frontend',
+	'S_INTRODUCTION_3'=>			'Click the "Next" button to proceed to the next screen. If you want to change something on a previous screen, click "Previous" button',
+	'S_INTRODUCTION_4'=>			'You may cancel installation at any time by clicking "Cancel" button',
+	'S_MISSING_LICENCE_FILE_SEE_GPL'=>	'Missing licence file. See GPL licence.',
+	'S_I_AGREE'=>				'I agree',
+	'S_CURRENT_VALUE'=>			'Current value',
+	'S_RECOMMENDED'=>			'Recommended',
+	'S_CORRECT_ALL_ISSUES_AND_PRESS_RETRY'=>'Please correct all issues and press "Retry" button',
+	'S_CONFIGURE_DB_CONNECTION_1'=>		'Please create database manually,',
+	'S_CONFIGURE_DB_CONNECTION_2'=>		'and set the configuration parameters for connection to this database.',
+	'S_CONFIGURE_DB_CONNECTION_3'=>		'Press "Test connection" button when done.',
+	'S_TEST_CONNECTION'=>			'Test connection',
+	'S_ZABBIX_SERVER_DETAILS_1'=>		'Please enter host name or host IP address',
+	'S_ZABBIX_SERVER_DETAILS_2'=>		'and port number of Zabbix server',
+	'S_DATABASE_TYPE'=>			'Database type',
+	'S_DATABASE_SERVER'=>			'Database server',
+	'S_DATABASE_PORT'=>			'Database port',
+	'S_DATABASE_NAME'=>			'Database name',
+	'S_DATABASE_USER'=>			'Database user',
+	'S_DATABASE_PASSWORD'=>			'Database password',
+	'S_NODE_NAME'=>				'Node name',
+	'S_NODE_GUID'=>				'Node GUID',
+	'S_ZABBIX_SERVER'=>			'Zabbix server',
+	'S_ZABBIX_SERVER_PORT'=>		'Zabbix server port',
+	'S_PRE_INSTALLATION_SUMMARY_1'=>	'Please check configuration parameters.',
+	'S_PRE_INSTALLATION_SUMMARY_2'=>	'If all is correct, press "Next" button, or "Previous" button to change configuration parameters.',
+	'S_CONFIGURATION_FILE'=>		'Configuration file',
+	'S_INSTALL_1'=>				'Please install configuration file manualy, or fix permissions on conf directory.',
+	'S_INSTALL_2'=>				'Press "Save configuration file" button, download configuration file and save it as',
+	'S_SAVE_CONFIGURATION_FILE'=>		'Save configuration file',
+	'S_WHEN_DONE_PRESS_THE'=>		'When done, press the',
+	'S_BUTTON_SMALL'=>			'button',
+	'S_FINISH_1'=>				'Congratulations on successful instalation of Zabbix frontend.',
+	'S_FINISH_2'=>				'Press "Finish" button to complete installation',
+	'S_SQLITE_REQUIED_IPC_FUNCTIONS'=>	'SQLite3 required IPC functions',
+	'S_CANNOT_CONNECT_TO_DATABASE'=>	'Can not connect to database',
+	'S_INCORRECT_CONFIGURATION_FILE'=>	'Incorrect configuration file',
+	'S_MISSING_CONFIGURATION_FILE'=>	'Missing configuration file',
+	
+	
+		
+
 //	Menu
 
 	'S_HELP'=>				'Help',
Index: include/setup.inc.php
===================================================================
--- include/setup.inc.php	(revision 9765)
+++ include/setup.inc.php	(working copy)
@@ -40,15 +40,15 @@
 			$this->ZBX_CONFIG = &$ZBX_CONFIG;
 
 			$this->stage = array(
-				0 => array('title' => '1. Introduction'			, 'fnc' => 'stage0' ),
-				1 => array('title' => '2. Licence Agreement'		, 'fnc' => 'stage1' ),
-				2 => array('title' => '3. Check of pre-requisites'	, 'fnc' => 'stage2' ),
-				3 => array('title' => '4. Configure DB connection'	, 'fnc' => 'stage3' ),
-				4 => array('title' => '5. Zabbix server details'	, 'fnc' => 'stage4' ),
+				0 => array('title' => '1. '.S_INTRODUCTION		, 'fnc' => 'stage0' ),
+				1 => array('title' => '2. '.S_LICENCE_AGREEMENT		, 'fnc' => 'stage1' ),
+				2 => array('title' => '3. '.S_CHECK_OF_PRE_REQUISITES	, 'fnc' => 'stage2' ),
+				3 => array('title' => '4. '.S_CONFIGURE_DB_CONNECTION	, 'fnc' => 'stage3' ),
+				4 => array('title' => '5. '.S_ZABBIX_SERVER_DETAILS	, 'fnc' => 'stage4' ),
 				//4 => array('title' => '5. Distributed monitoring'	, 'fnc' => 'stage4' ),
-				5 => array('title' => '6. Pre-Installation Summary'	, 'fnc' => 'stage5' ),
-				6 => array('title' => '7. Install'			, 'fnc' => 'stage6' ),
-				7 => array('title' => '8. Finish'			, 'fnc' => 'stage7' )
+				5 => array('title' => '6. '.S_PRE_INSTALLATION_SUMMARY	, 'fnc' => 'stage5' ),
+				6 => array('title' => '7. '.S_INSTALL			, 'fnc' => 'stage6' ),
+				7 => array('title' => '8. '.S_FINISH			, 'fnc' => 'stage7' )
 				);
 
 			$this->EventHandler();
@@ -129,11 +129,10 @@
 		}
 
 		function stage0(){
-			return new CTag('div', 'yes', array('Welcome to the Zabbix frontend installation wizard.',BR(),BR(),
-				'This installation wizard will guide you through the installation of Zabbix frontend',BR(),BR(),
-				'Click the "Next" button to proceed to the next screen. If you want to change something '.
-				'on a previous screen, click "Previous" button',BR(),BR(),
-				'You may cancel installation at any time by clicking "Cancel" button'), 'text');
+			return new CTag('div', 'yes', array(S_INTRODUCTION_1,BR(),BR(),
+				S_INTRODUCTION_2,BR(),BR(),
+				S_INTRODUCTION_3,BR(),BR(),
+				S_INTRODUCTION_4), 'text');
 		}
 
 		function stage1(){
@@ -144,7 +143,7 @@
 			return array(
 				new CTag('div', 'yes', (file_exists($LICENCE_FILE) ?
 					new CJSscript(nl2br(nbsp(htmlspecialchars(file_get_contents($LICENCE_FILE))))) :
-					'Missing licence file. See GPL licence.')
+					S_MISSING_LICENCE_FILE_SEE_GPL)
 				, 'licence'),
 				BR(),
 				new CTag('div', 'yes',
@@ -153,7 +152,7 @@
 							'agree',
 							$this->getConfig('agree', false),
 							'submit();'),
-						'I agree'),
+						S_I_AGREE),
 					'center')
 				);
 		}
@@ -166,9 +165,9 @@
 
 			$row = new CRow(array(
 				SPACE,
-				new CCol('Current value', 'header'),
-				new CCol('Required', 'header'),
-				new CCol('Recommended', 'header'),
+				new CCol(S_CURRENT_VALUE, 'header'),
+				new CCol(S_REQUIRED, 'header'),
+				new CCol(S_RECOMMENDED, 'header'),
 				SPACE,
 				SPACE
 			));
@@ -214,7 +213,7 @@
 				$final_result = array(
 					new CSpan(S_FAIL,'fail'),
 					BR(), BR(),
-					'Please correct all issues and press "Retry" button',
+					S_CORRECT_ALL_ISSUES_AND_PRESS_RETRY,
 					BR(), BR(),
 					new CButton('retry', S_RETRY)
 					);
@@ -247,16 +246,16 @@
 			$table->addRow(array(new CCol(S_PASSWORD,'header'), new CPassBox('password',	$this->getConfig('DB_PASSWORD',	''))));
 
 			return array(
-				'Please create database manually,', BR(),
-				'and set the configuration parameters for connection to this database.',
+				S_CONFIGURE_DB_CONNECTION_1, BR(),
+				S_CONFIGURE_DB_CONNECTION_2,
 				BR(),BR(),
-				'Press "Test connection" button when done.',
+				S_CONFIGURE_DB_CONNECTION_3,
 				BR(),BR(),
 				$table,
 				BR(),
 				!$this->DISABLE_NEXT_BUTTON ? new CSpan(S_OK,'ok') :  new CSpan(S_FAIL, 'fail'),
 				BR(),
-				new  CButton('retry', 'Test connection')
+				new  CButton('retry', S_TEST_CONNECTION)
 				);
 		}
 
@@ -270,8 +269,8 @@
 			$table->addRow(array(new CCol(S_PORT,'header'), new CNumericBox('zbx_server_port',	$this->getConfig('ZBX_SERVER_PORT',	'10051'),5)));
 
 			return array(
-				'Please enter host name or host IP address', BR(),
-				'and port number of Zabbix server', BR(), BR(),
+				S_ZABBIX_SERVER_DETAILS_1, BR(),
+				S_ZABBIX_SERVER_DETAILS_2, BR(), BR(),
 				$table,
 				);
 		}
@@ -319,27 +318,27 @@
 
 			$table = new CTable(null, 'requirements');
 			$table->setAlign('center');
-			$table->addRow(array(new CCol('Database type:','header'),	$allowed_db[$this->getConfig('DB_TYPE',	'unknown')]));
-			$table->addRow(array(new CCol('Database server:','header'),	$this->getConfig('DB_SERVER',		'unknown')));
-			$table->addRow(array(new CCol('Database port:','header'),	$this->getConfig('DB_PORT',		'0')));
-			$table->addRow(array(new CCol('Database name:','header'),	$this->getConfig('DB_DATABASE',		'unknown')));
-			$table->addRow(array(new CCol('Database user:','header'),	$this->getConfig('DB_USER',		'unknown')));
+			$table->addRow(array(new CCol(S_DATABASE_TYPE.':','header'),	$allowed_db[$this->getConfig('DB_TYPE',	'unknown')]));
+			$table->addRow(array(new CCol(S_DATABASE_SERVER.':','header'),	$this->getConfig('DB_SERVER',		'unknown')));
+			$table->addRow(array(new CCol(S_DATABASE_PORT.':','header'),	$this->getConfig('DB_PORT',		'0')));
+			$table->addRow(array(new CCol(S_DATABASE_NAME.':','header'),	$this->getConfig('DB_DATABASE',		'unknown')));
+			$table->addRow(array(new CCol(S_DATABASE_USER.':','header'),	$this->getConfig('DB_USER',		'unknown')));
 //			$table->addRow(array(new CCol('Database password:','header'),	ereg_replace('.','*',$this->getConfig('DB_PASSWORD',	'unknown'))));
-			$table->addRow(array(new CCol('Database password:','header'),	preg_replace('/./','*',$this->getConfig('DB_PASSWORD',	'unknown'))));
+			$table->addRow(array(new CCol(S_DATABASE_PASSWORD.':','header'),	preg_replace('/./','*',$this->getConfig('DB_PASSWORD',	'unknown'))));
 			/* $table->addRow(array(new CCol('Distributed monitoring','header'),	$this->getConfig('distributed', null) ? 'Enabled' : 'Disabled')); */
 
 			if($this->getConfig('distributed', null)){
-				$table->addRow(array(new CCol('Node name','header'),	$this->getConfig('nodename',	'unknown')));
-				$table->addRow(array(new CCol('Node GUID','header'),	$this->getConfig('nodeid',	'unknown')));
+				$table->addRow(array(new CCol(S_NODE_NAME,'header'),	$this->getConfig('nodename',	'unknown')));
+				$table->addRow(array(new CCol(S_NODE_GUID,'header'),	$this->getConfig('nodeid',	'unknown')));
 			}
 
 			$table->addRow(BR());
 
-			$table->addRow(array(new CCol('Zabbix server:','header'),	$this->getConfig('ZBX_SERVER',		'unknown')));
-			$table->addRow(array(new CCol('Zabbix server port:','header'),	$this->getConfig('ZBX_SERVER_PORT',	'unknown')));
+			$table->addRow(array(new CCol(S_ZABBIX_SERVER.':','header'),	$this->getConfig('ZBX_SERVER',		'unknown')));
+			$table->addRow(array(new CCol(S_ZABBIX_SERVER_PORT.':','header'),	$this->getConfig('ZBX_SERVER_PORT',	'unknown')));
 			return array(
-				'Please check configuration parameters.', BR(),
-				'If all is correct, press "Next" button, or "Previous" button to change configuration parameters.', BR(), BR(),
+				S_PRE_INSTALLATION_SUMMARY_1, BR(),
+				S_PRE_INSTALLATION_SUMMARY_2, BR(), BR(),
 				$table
 				);
 		}
@@ -363,7 +362,7 @@
 			$table = new CTable(null, 'requirements');
 			$table->setAlign('center');
 
-			$table->addRow(array('Configuration file: ',  $this->getConfig('ZBX_CONFIG_FILE_CORRECT', false) ?
+			$table->addRow(array(S_CONFIGURATION_FILE.': ',  $this->getConfig('ZBX_CONFIG_FILE_CORRECT', false) ?
 									new CSpan(S_OK,'ok') :
 									new CSpan(S_FAIL,'fail')
 										));
@@ -384,23 +383,21 @@
 				$table, BR(),
 				$this->DISABLE_NEXT_BUTTON ? array(new CButton('retry', S_RETRY), BR(),BR()) : null,
 				!$this->getConfig('ZBX_CONFIG_FILE_CORRECT', false) ?
-					array('Please install configuration file manualy, or fix permissions on conf directory.',BR(),BR(),
-						'Press "Save configuration file" button, download configuration file ',
-						'and save it as ',BR(),
+					array(S_INSTALL_1,BR(),BR(),
+						S_INSTALL_2,BR(),
 						'"'.$ZBX_CONFIGURATION_FILE.'"',BR(),BR(),
-						new CButton('save_config',"Save configuration file"),
+						new CButton('save_config',S_SAVE_CONFIGURATION_FILE),
 						BR(),BR()
 						)
 					: null,
-				'When done, press the '.($this->DISABLE_NEXT_BUTTON ? '"Retry"' : '"Next"').' button'
+				S_WHEN_DONE_PRESS_THE.SPACE.($this->DISABLE_NEXT_BUTTON ? '"'.S_RETRY.'"' : '"'.S_NEXT.'"').SPACE.S_BUTTON_SMALL
 				);
 		}
 
 		function stage7(){
 			return array(
-				'Congratulations on successful instalation of Zabbix frontend.',BR(),BR(),
-				'Press "Finish" button to complete installation'
-				);
+				S_FINISH_1,BR(),BR(),
+				S_FINISH_2);
 		}
 
 		function CheckConnection(){
@@ -438,7 +435,7 @@
 			DBclose();
 
 			if($DB['TYPE'] == 'SQLITE3' && !zbx_is_callable(array('sem_get','sem_acquire','sem_release','sem_remove'))){
-				error('SQLite3 required IPC functions');
+				error(S_SQLITE_REQUIED_IPC_FUNCTIONS);
 				$result &= false;
 			}
 
@@ -588,16 +585,16 @@
 					)
 				{
 					if(!DBconnect($error_msg)){
-						$error_msg = 'Can not connect to database';
+						$error_msg = S_CANNOT_CONNECT_TO_DATABASE;
 					}
 				}
 				else{
-					$error_msg = 'Incorrect configuration file['.$ZBX_CONFIGURATION_FILE.']';
+					$error_msg = S_INCORRECT_CONFIGURATION_FILE.'['.$ZBX_CONFIGURATION_FILE.']';
 				}
 				DBclose();
 			}
 			else{
-				$error = 'Missing configuration file['.$ZBX_CONFIGURATION_FILE.']';
+				$error = S_MISSING_CONFIGURATION_FILE.'['.$ZBX_CONFIGURATION_FILE.']';
 			}
 
 			if(isset($error_msg)){
@@ -735,7 +732,7 @@
 '<?php
 /*
 ** ZABBIX
-** Copyright (C) 2000-2005 SIA Zabbix
+** Copyright (C) 2000-2010 SIA Zabbix
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
Index: include/db.inc.php
===================================================================
--- include/db.inc.php	(revision 9765)
+++ include/db.inc.php	(working copy)
@@ -96,7 +96,7 @@
 							$connect .= '/'.$DB['DATABASE'];
 					}
 
-					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'], $connect);
+					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'],"(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=localhost)(PORT=1521)))(CONNECT_DATA=(SID=ZBX)))");
 //					$DB['DB']= ociplogon($DB['USER'], $DB['PASSWORD'], '(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST='.$DB['SERVER'].')(PORT=1521))(CONNECT_DATA=(SERVICE_NAME='.$DB['DATABASE'].')))');
 					if(!$DB['DB']){
 						$error = 'Error connecting to database';